const Router = require('@koa/router')

const controller = require('src/controllers/index.js')
const apiRouter = require('./api/index.js')
const oauthRouter = require('./oauth/index.js')

const r = new Router()
module.exports = r

r.get('/', controller.healthCheck)

r.use(apiRouter.routes())
r.use(oauthRouter.routes())
